Create Session From Scan
curl --request POST \
--url https://api.example.com/api/playground/sessions/from-scan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scan_id": "<string>",
"only_flagged": true,
"limit": 5000,
"name": "<string>",
"include_columns": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/playground/sessions/from-scan"
payload = {
"scan_id": "<string>",
"only_flagged": True,
"limit": 5000,
"name": "<string>",
"include_columns": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scan_id: '<string>',
only_flagged: true,
limit: 5000,
name: '<string>',
include_columns: ['<string>']
})
};
fetch('https://api.example.com/api/playground/sessions/from-scan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}playground-integrations
Create Session From Scan
Fork a playground session from the flagged rows of an existing Scan.
Builds an in-memory DataFrame from Result rows of the scan, persists it as
a new PlaygroundSession, and returns the session so the UI can navigate
into it. The user can then edit labels and publish the corrections back.
POST
/
api
/
playground
/
sessions
/
from-scan
Create Session From Scan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Cookies
Body
application/json
Response
Successful Response
The response is of type Response Create Session From Scan Api Playground Sessions From Scan Post · object.
⌘I

